<ComClass(ComClass2.ClassId, ComClass2.InterfaceId, ComClass2.EventsId)> _
Public Class ComClass2

#Region "COM GUID"
    ' 다음 GUID는 이 클래스의 COM ID와 COM 인터페이스를 
    ' 제공합니다. 이 GUID를 변경하면 기존 클라이언트가 해당 
    ' 클래스에 더 이상 액세스할 수 없게 됩니다.
    Public Const ClassId As String = "12d6a033-7e9b-47ad-8e1d-195547b736d7"
    Public Const InterfaceId As String = "db0efbaa-3630-41fc-a38c-68e2bdc73f6c"
    Public Const EventsId As String = "a4afd461-4640-4ea2-bb72-db5425941dd2"
#End Region

    ' 생성 가능한 COM 클래스에는 매개 변수가 없는 Public Sub New()가 
    ' 포함되어 있어야 합니다. 그렇지 않으면 이 클래스가 
    ' COM 레지스트리에 등록되지 않으며 CreateObject를 
    ' 통해 이 클래스가 생성되지 않습니다.
    Public Sub New()
        MyBase.New()
    End Sub

End Class


